Bug 1738903 - fmtools depends on Python 2 [NEEDINFO]
Summary: fmtools depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fmtools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-08 11:42 UTC by Lumír Balhar
Modified: 2019-09-16 00:01 UTC (History)
3 users (show)

Fixed In Version: fmtools-2.0.7-18.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 00:01:07 UTC
lbalhar: needinfo? (rosset.filipe)


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 11:42:29 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for fmtools's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to fmtools.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:49:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-16 09:06:34 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Lumír Balhar 2019-08-23 15:29:54 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-09-02 05:32:10 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Miro Hrončok 2019-09-11 09:21:20 UTC
According to the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages the package was now orphaned. If you think it was a mistake, you can provide the answers and claim the package back.

Let us know if you need any help or just need more time.

Comment 6 Nicolas Chauvet (kwizart) 2019-09-11 14:43:23 UTC
I've fixed the package to not requires any python2 interpreter.
build done for f31+

Please assign the package back to me.
Thx in advance.

Comment 7 Fedora Update System 2019-09-11 15:53:39 UTC
FEDORA-2019-ae16ef91e8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae16ef91e8

Comment 8 Lumír Balhar 2019-09-12 05:55:31 UTC
I can confirm that fmtools-tkradio-2.0.7-18.fc32  does not depend on Python 2. Thank you!

Miro, could you please assign this package back to its original maintainer?

Comment 9 Miro Hrončok 2019-09-12 08:09:16 UTC
Done.

Comment 10 Miro Hrončok 2019-09-12 08:11:45 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #6)
> Please assign the package back to me.

As I read it, the package was not assigned to you. I've assigned it back to Filipe Rosset. If you think there is some kind of mistake, let me know.

Comment 11 Fedora Update System 2019-09-12 14:44:42 UTC
fmtools-2.0.7-18.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae16ef91e8

Comment 12 Fedora Update System 2019-09-16 00:01:07 UTC
fmtools-2.0.7-18.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.